--------------------------------------------------------------------------------------
-- Queries to display demo Data Requirement to Column Mappings in Integration Metadata 
--
-- SQL Saturday, 1/30/2010, Richmond Va Presentation
-- NORMALIZE METADATA FOR DATA INTEGRATION ANALYSIS
-- Bob Lambert, mailto:Bob@RobertLambert.net, http://robertlambert.net
--
--------------------------------------------------------------------------------------

use SQLSatMetadataDemo

	
select Requirement.RequirementLabel
	,Requirement.RequirementText
	,DataReqmt.DataReqmtId
	,DataReqmtName
	,DBTable.TableName
	,DBColumn.ColumnName
 from DataReqmt
 left join ReqmtMapping
	on DataReqmt.DataReqmtId = ReqmtMapping.DataReqmtId
 join Requirement on DataReqmt.RequirementId = Requirement.RequirementId
 left join DBColumn on ReqmtMapping.ColumnId = DBColumn.ColumnId
 left join DBTable on DBColumn.TableId = DBTable.TableId
order by DataReqmt.DataReqmtId,
Requirement.RequirementLabel
	,Requirement.RequirementText
	,DataReqmtName
	,DBTable.TableName