--------------------------------------------------------------------------------------
-- Queries to display demo Interface Field to DB Table/Column mappings
--	 in Integration Metadata 
--
-- SQL Saturday, 4/10/2010, Richmond Va Presentation
-- NORMALIZE METADATA FOR DATA INTEGRATION ANALYSIS
-- Bob Lambert, mailto:Bob@RobertLambert.net, http://robertlambert.net
--
--------------------------------------------------------------------------------------

use SQLSatMetadataDemo
	
select Interface.InterfaceNameText
	,Field.FieldNameText
	,DBTable.TableName
	,DBColumn.ColumnName
	,InterfaceMapping.Transformations
 from InterfaceMapping
inner join Field on InterfaceMapping.FieldId = Field.FieldId
				and InterfaceMapping.InterfaceId = Field.InterfaceId
inner join Interface on Interface.InterfaceId = Field.InterfaceId
inner join DBColumn on InterfaceMapping.ColumnId = DBColumn.ColumnId
					and InterfaceMapping.TableId = DBColumn.TableId
inner join DBTable on DBColumn.TableId = DBTable.TableId
order by Interface.InterfaceNameText	
