--------------------------------------------------------------------------------------
-- Query to display requirements impacted by fields
--	 in Integration Metadata 
--
-- SQL Saturday, 4/10/2010, Richmond Va Presentation
-- NORMALIZE METADATA FOR DATA INTEGRATION ANALYSIS
-- Bob Lambert, mailto:Bob@RobertLambert.net, http://robertlambert.net
--
--------------------------------------------------------------------------------------

use SQLSatMetadataDemo
	
select distinct 
	Interface.InterfaceNameText
	,Field.FieldNameText
	,DataReqmt.DataReqmtName
from InterfaceMapping
inner join Field on InterfaceMapping.FieldId = Field.FieldId
				and InterfaceMapping.InterfaceId = Field.InterfaceId
inner join Interface on Interface.InterfaceId = Field.InterfaceId
inner join DBColumn on InterfaceMapping.ColumnId = DBColumn.ColumnId
					and InterfaceMapping.TableId = DBColumn.TableId
inner join DBTable on DBColumn.TableId = DBTable.TableId
inner join ReqmtMapping on DBColumn.ColumnId = ReqmtMapping.ColumnId
inner join DataReqmt on ReqmtMapping.DataReqmtId = DataReqmt.DataReqmtId
where FieldNameText in ('OrderQty'
			, 'PurchaseOrderNumber'
			, 'StandardCost'
			, 'UnitPrice'
			, 'UnitPriceDiscount')



